Software updater has an error

Bildschirmfoto vom 2024-01-13 17-29-32

Hello, if I open the software updater this error comes, I tryed this Software Updater Repository problem
but it dont help me. can someone please help me?

it says on the picture: Das Herunterladen von Informationen zu Software Paketquellen ist gescheitert = Downloading software repository information failed

Please tell us what version of Zorin you are using and post the result of the following command.

sudo apt update

zorin 16.3

OK:1 https://download.cudo.org/repo/apt stable InRelease
OK:2 Index of /repos/edge/ stable InRelease
OK:3 Index of /ubuntu focal-updates InRelease
OK:4 Index of /minetestdevs/stable/ubuntu focal InRelease
OK:5 Index of /ubuntu focal-backports InRelease
OK:6 Index of /openrazer/daily/ubuntu focal InRelease
OK:7 Index of /openrazer/stable/ubuntu focal InRelease
OK:8 Index of /ubuntu focal InRelease
OK:9 Index of /polychromatic/stable/ubuntu focal InRelease
Ign:10 https://repo.waydro.id focal InRelease
OK:11 Index of /zorinos/apps/ubuntu focal InRelease
OK:12 Index of /zorinos/drivers/ubuntu focal InRelease
OK:13 Index of /ubuntu focal-security InRelease
OK:14 Index of /zorinos/patches/ubuntu focal InRelease
OK:15 Index of /zorinos/stable/ubuntu focal InRelease
Fehl:16 https://repo.waydro.id focal Release
Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate. Could not handshake: Fehler bei der Verifizierung des Zertifikats. [IP: 205.185.118.53 443]
OK:17 Index of /stable/ focal InRelease
OK:18 Index of /patches/ focal InRelease
OK:19 Index of /apps/ focal InRelease
OK:20 Index of /drivers/ focal InRelease
Paketlisten werden gelesen... Fertig
E: Das Depot ┬╗https://repo.waydro.id focal Release┬ź enth├Ąlt keine Release-Datei mehr.
N: Eine Aktualisierung von solch einem Depot kann nicht auf eine sichere Art durchgef├╝hrt werden, daher ist es standardm├Ą├čig deaktiviert.
N: Weitere Details zur Erzeugung von Paketdepots sowie zu deren Benutzerkonfiguration finden Sie in der Handbuchseite apt-secure(8).

in English:

OK:1 https://download.cudo.org/repo/apt stable InRelease
OK:2 Index of /repos/edge/ stable InRelease
OK:3 Index of /ubuntu focal-updates InRelease
OK:4 Index of /minetestdevs/stable/ubuntu focal InRelease
OK:5 Index of /ubuntu focal-backports InRelease
OK:6 Index of /openrazer/daily/ubuntu focal InRelease
OK:7 Index of /openrazer/stable/ubuntu focal InRelease
OK:8 Index of /ubuntu focal InRelease
OK:9 Index of /polychromatic/stable/ubuntu focal InRelease
Ign:10 https://repo.waydro.id focal InRelease
OK:11 Index of /zorinos/apps/ubuntu focal InRelease
OK:12 Index of /zorinos/drivers/ubuntu focal InRelease
OK:13 Index of /ubuntu focal-security InRelease
OK:14 Index of /zorinos/patches/ubuntu focal InRelease
OK:15 Index of /zorinos/stable/ubuntu focal InRelease
Miss:16 https://repo.waydro.id focal release
Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate. Could not handshake: Error verifying the certificate. [IP: 205.185.118.53 443]
OK:17 Index of /stable/ focal InRelease
OK:18 Index of /patches/ focal InRelease
OK:19 Index of /apps/ focal InRelease
OK:20 Index of /drivers/ focal InRelease
Reading package lists... Done
E: The repo "https://repo.waydro.id focal release" no longer contains a release file.
N: Updating such a repository cannot be done in a safe manner, so it is disabled by default.
N: For more details on package depot creation and user configuration, see the apt-secure(8) manual page.

It looks like that you have a Problem with this repo.waydro.id Source. Could you try it without that Repo?

From the looks of it the developers have either drop support for Ubuntu 20.04 or they've updated the repository key. As I'm not able to reproduce this on ZorinOS 16, I'm going to guess the later is the case.

First, remove the the waydroid key:

sudo rm -i /usr/share/keyrings/waydroid.gpg
# verify the name is correct and press Enter

Then run the installation script once more:

curl https://repo.waydro.id | sudo bash
# source of bash script:
# https://gist.github.com/aleasto/905154449bedb496054593363f074796

If the above hangs without doing anything for a while, press Ctrl+C to quit and run sudo test so that it prompts you for your user password. Then try again. And update:

sudo apt update

I tryed it, now i get this when i make sudo apt update

OK:1 Index of /ubuntu focal-updates InRelease
OK:2 Index of /ubuntu focal-backports InRelease
OK:3 Index of /ubuntu focal-security InRelease
OK:4 https://download.cudo.org/repo/apt stable InRelease
OK:5 Index of /ubuntu focal InRelease
OK:6 Index of /repos/edge/ stable InRelease
OK:7 Index of /stable/ focal InRelease
OK:8 https://repo.waydro.id focal InRelease
OK:9 Index of /patches/ focal InRelease
Fehl:8 https://repo.waydro.id focal InRelease
Die folgenden Signaturen konnten nicht ├╝berpr├╝ft werden, weil ihr ├Âffentlicher Schl├╝ssel nicht verf├╝gbar ist: NO_PUBKEY 0E406D181DCEE19C
OK:10 Index of /apps/ focal InRelease
OK:11 Index of /drivers/ focal InRelease
OK:12 Index of /minetestdevs/stable/ubuntu focal InRelease
OK:13 Index of /openrazer/daily/ubuntu focal InRelease
OK:14 Index of /openrazer/stable/ubuntu focal InRelease
OK:15 Index of /polychromatic/stable/ubuntu focal InRelease
OK:16 Index of /zorinos/apps/ubuntu focal InRelease
OK:17 Index of /zorinos/drivers/ubuntu focal InRelease
OK:18 Index of /zorinos/patches/ubuntu focal InRelease
OK:19 Index of /zorinos/stable/ubuntu focal InRelease
Paketlisten werden gelesen... Fertig
Abh├Ąngigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Alle Pakete sind aktuell.
W: W├Ąhrend der ├ťberpr├╝fung der Signatur trat ein Fehler auf. Das Depot wurde nicht aktualisiert und die vorherigen Indexdateien werden verwendet. GPG-Fehler: https://repo.waydro.id focal InRelease: Die folgenden Signaturen konnten nicht ├╝berpr├╝ft werden, weil ihr ├Âffentlicher Schl├╝ssel nicht verf├╝gbar ist: NO_PUBKEY 0E406D181DCEE19C
W: Fehlschlag beim Holen von https://repo.waydro.id/dists/focal/InRelease Die folgenden Signaturen konnten nicht ├╝berpr├╝ft werden, weil ihr ├Âffentlicher Schl├╝ssel nicht verf├╝gbar ist: NO_PUBKEY 0E406D181DCEE19C
W: Einige Indexdateien konnten nicht heruntergeladen werden. Sie wurden ignoriert oder alte an ihrer Stelle benutzt.

How can I do this? I dont want this repo.

1 Like

Launch Software & Updates from the app menu and move to the Other software tab.
Click on the waydroid repository, then click on the Remove button on the bottom toolbar.

3 Likes

You can find this Setting in the Gnome Software Center when You click on the 3 Lines at the right Site. Choose there ''Softwarequellen'' in the Window that will be openend (Anwendungen & Aktualisierungen) You go to the Tab ''Andere Programme''. There is a List who You must search the Entry for this Repo an delete it.

Another Way is: You can open the Software Updater (Aktualisierungsverwaltung), click on the Settings Button and then You are in the Window too.

2 Likes

The custom repository you've added - namely Waydroid's repo - is causing issues. That error usually appears if you've either accidentally skipped some part of setup, if something went wrong or you're using old instructions.

As such, I would recommend you just follow Waydroid's uninstallation instructions once, and then start over with Waydroid's setup.

Also, be sure to follow the Ubuntu 22.04 Guide on Waydroid's website IF you're on Zorin 17

I followed the uninstall instructions, but it is still there.

I cant find the repo there.

I have found this folder, should I delete it? It is the only containing the name of the repo.
Bildschirmfoto vom 2024-01-14 15-35-11

I have found a Help Article at askubuntu. Maybe that could help you: Here.

1 Like

I tryed but I only get this error message
Bildschirmfoto vom 2024-01-14 17-58-14

das Entfernen von ... ist nicht m├Âglich: Datei oder Verzeichnis nicht gefunden =
removing ... is not possible: file or directory not found

I found a Solution: I deleted this folder:
Bildschirmfoto vom 2024-01-14 15-35-11
now the software updater works correctly again.
Thanks to everyone for there help.

1 Like

According to your sources, you are on focal, which is Zorin 16, based on Ubuntu 20. Please disregard an earlier post to use Ubuntu 22 instructions as that is the jammy repo.

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.